## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream broke imports and tests are disabled for now.
%bcond_with     tests

%global         srcname     google-cloud-asset
%global         forgeurl    https://github.com/googleapis/python-asset
Version:        3.14.2
# 3.14.2 is an unusual release because GitHub tries to return two different commits.
%global         commit      c576c10135f7ce6371daed98deba9227fe1cfada
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud App Engine Admin

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove extra scripts.
rm -f %{buildroot}%{_bindir}/fixup_asset*.py


%check
%pyproject_check_import

%if %{with tests}
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_asset-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Feb 10 2023 Major Hayden <major@redhat.com> 3.14.2-3
- Disable tests due to broken imports

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> 3.14.2-1
- Update to 3.14.2 rhbz#2131883

* Tue Sep 20 2022 Major Hayden <major@redhat.com> 3.14.0-1
- Update to 3.14.0 rhbz#2128453

* Mon Sep 19 2022 Major Hayden <major@redhat.com> 3.13.1-1
- Update to 3.13.1 rhbz#2126908

* Wed Aug 17 2022 Major Hayden <major@redhat.com> 3.13.0-1
- Update to 3.13.0 rhbz#2119104

* Mon Aug 15 2022 Major Hayden <major@redhat.com> 3.12.0-1
- Update to 3.12.0 rhbz#2118346

* Tue Aug 09 2022 Major Hayden <major@redhat.com> 3.11.0-1
- Update to 3.11.0 rhbz#2116800

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 3.10.0-1
- Update to 3.10.0 rhbz#2108597

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 3.9.1-3
- Add import check rhbz#2098930

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 3.9.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 3.9.1-1
- Update to 3.9.0

* Thu May 19 2022 Major Hayden <major@mhtx.net> 3.9.0-1
- 🚀 Update to 3.9.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 3.8.1-1
- Update to 3.8.1

* Tue Mar 01 2022 Major Hayden <major@redhat.com> 3.8.0-1
- Update to 3.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Major Hayden <major@redhat.com> 3.7.1-1
- Update to 3.7.1

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> 3.7.0-1
- Update to 3.7.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 3.6.1-1
- Initial import (#1998339)
